modifier_bosses_random_resist_effect = class({})
-- 实际对自定义的控制不起作用
local public = modifier_bosses_random_resist_effect

local m_modifier_funcs=
{
	MODIFIER_PROPERTY_STATUS_RESISTANCE,
}

function public:IsHidden()
	return false
end

function public:IsDebuff()
	return false
end

function public:IsPurgable()
	return false
end

function public:DeclareFunctions()
	return m_modifier_funcs
end

function public:GetModifierStatusResistance()
	return 25
end

function public:GetTexture()
	return "touhoutd/thtd_hatate_01"
end